<?php
class ControllerModuleOctPopupAddToCompare extends Controller {
	public function index() {
		$data = array();

		$this->load->model('catalog/product');
		$this->load->language('module/oct_popup_add_to_compare');

		if (isset($this->request->get['product_id'])) {
			$product_id = (int)$this->request->get['product_id'];
		} else {
			$product_id = 0;
		}

		$data['heading_title'] = $this->language->get('heading_title');
		$data['text_success_add'] = $this->language->get('text_success_add');
		$data['text_compare'] = $this->language->get('text_compare');
		$data['button_ok'] = $this->language->get('button_ok');
		$data['compare_url'] = $this->url->link('product/compare');

		$product_info = $this->model_catalog_product->getProduct($product_id);

		if ($product_info) {
		  $data['product_name'] = $product_info['name'];

			if(file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/oct_popup_add_to_compare.tpl')) {
				$view = $this->load->view($this->config->get('config_template') . '/template/module/oct_popup_add_to_compare.tpl', $data);
			} else {
				$view = $this->load->view('default/template/module/oct_popup_add_to_compare.tpl', $data);
			}

			$this->response->setOutput($view);
		}
	}
}