<?php echo $header; ?>
<div class="container">
  <ul class="breadcrumb">
    <?php foreach ($breadcrumbs as $count=> $breadcrumb) { ?>
		<?php if($count == 0) { ?>
			<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
		<?php } elseif($count+1<count($breadcrumbs)) { ?>
			<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
		<?php } else { ?>
			<li><span><?php echo $breadcrumb['text']; ?></span></li>
		<?php } ?>
	<?php } ?>
  </ul>
  
  <span xmlns:v="http://rdf.data-vocabulary.org/#">
  <?php foreach ($breadcrumbs as $cntcrumbs=> $breadcrumb) { ?>
  		<?php if($cntcrumbs==0) { ?>
			<span typeof="v:Breadcrumb"><a rel="v:url" property="v:title" href="<?php echo $breadcrumb['href']; ?>" alt="<?php echo $oct_home_text; ?>"></a></span>
		<?php } elseif($cntcrumbs+1<count($breadcrumbs)) { ?>
			<span typeof="v:Breadcrumb"><a rel="v:url" property="v:title" href="<?php echo $breadcrumb['href']; ?>" alt="<?php echo $breadcrumb['text']; ?>"></a></span>
		<?php } ?>			
	<?php } ?>	
   </span>
</div>
<?php echo $content_top; ?>
<div class="container">
  <div class="row top-row news-top-row">
	  <div class="col-sm-12">
		  <h1 class="cat-header"><?php echo $heading_title; ?></h1>
	  </div>
  </div>
  <div class="row"><?php echo $column_left; ?>
    <?php if ($column_left && $column_right) { ?>
    <?php $class = 'col-sm-6'; ?>
    <?php } elseif ($column_left || $column_right) { ?>
    <?php $class = 'col-sm-9'; ?>
    <?php } else { ?>
    <?php $class = 'col-sm-12'; ?>
    <?php } ?>
    <div id="content" class="<?php echo $class; ?>">
      <?php if ($articles) { ?>
      <div class="row sort-row">
	    <div class="col-sm-12">
	        <div class="col-lg-offset-9 col-md-offset-8 col-sm-offset-6 col-xs-offset-0 col-lg-2 col-md-3 col-sm-4 col-xs-5">
	          <label class="control-label" for="input-limit"><?php echo $text_limit; ?></label>
	        </div>
	        <div class="col-md-1 col-sm-2 col-xs-7 select-box">
	          <select id="input-limit" class="form-control" onchange="location = this.value;">
	            <?php foreach ($limits as $limits) { ?>
	            <?php if ($limits['value'] == $limit) { ?>
	            <option value="<?php echo $limits['href']; ?>" selected="selected"><?php echo $limits['text']; ?></option>
	            <?php } else { ?>
	            <option value="<?php echo $limits['href']; ?>"><?php echo $limits['text']; ?></option>
	            <?php } ?>
	            <?php } ?>
	          </select>
	        </div>
	  	</div>
      </div>
      <div class="row news-row">
        <?php foreach ($articles as $article) { ?>
        <div class="product-layout product-list col-xs-12">
          <div class="product-thumb">
            <div class="image"><a href="<?php echo $article['href']; ?>"><img src="<?php echo $article['thumb']; ?>" alt="<?php echo $article['name']; ?>" title="<?php echo $article['name']; ?>" class="img-responsive" /></a></div>
            <div>
              <div class="caption">
                <h4><a href="<?php echo $article['href']; ?>"><?php echo $article['name']; ?></a></h4>
                <p><?php echo $article['description']; ?></p>
                	<div class="badge-box">
		                <i class="fa fa-clock-o" aria-hidden="true"></i>
		                <span class="badge"><?php echo $article['date_added']; ?></span>
		            </div>
		            <div class="badge-box">
		                <i class="fa fa-comment-o" aria-hidden="true"></i>
		                <span class="badge"><?php echo $article['comments']; ?></span>
		            </div>
		            <div class="badge-box">
		                <i class="fa fa-eye" aria-hidden="true"></i>
		                <span class="badge"><?php echo $article['viewed']; ?></span>
		            </div>
		            <div class="clearfix"></div>
              </div>
            </div>
          </div>
        </div>
        <?php } ?>
        </div>
      <div class="row pagination-row">
        <div class="col-sm-12 text-right"><?php echo $pagination; ?></div>
      </div>
      <?php } ?>
      <?php if (!$articles) { ?>
      <p><?php echo $text_empty; ?></p>
      <div class="buttons">
        <div class="pull-right"><a href="<?php echo $continue; ?>" class="btn btn-primary"><?php echo $button_continue; ?></a></div>
      </div>
      <?php } ?>
      <?php echo $content_bottom; ?></div>
    <?php echo $column_right; ?></div>
</div>
<?php if ($thumb || $description) { ?>
	<div class="desc-cat">
		<div class="container">
		  <div class="row">
		    <?php if ($thumb) { ?>
		    <div class="col-sm-12 cat-img-thumbnail"><img src="<?php echo $thumb; ?>" alt="<?php echo $heading_title; ?>" title="<?php echo $heading_title; ?>" /></div>
		    <?php } ?>
		    <?php if ($description) { ?>
		    <div class="col-sm-12 desc-cat-text"><?php echo $description; ?></div>
		    <div class="col-sm-12 desc-cat-button">
		    	<a class="button-more" id="desc-cat-button">Узнать больше</a>
		    </div>
		    <?php } ?>
		  </div>
		</div>
	</div>
<?php } ?>
<?php echo $footer; ?>
